package ui

import "fyne.io/fyne/v2/data/binding"

type Controller interface {
	Initialize() error
	RefreshData() error

	GetBinding(string) binding.DataItem
}

type DialogController interface {
	Initialize(data binding.DataItem) error
	RefreshData() error
}
