package screen

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/widget"
)

type ListItemTemplate struct {
	fyne.CanvasObject
	*TemplateScreenHandler
}

func (i *ListItemTemplate) CreateRenderer() fyne.WidgetRenderer {
	return widget.NewSimpleRenderer(i.CanvasObject)
}

func NewListItemTemplate(
	obj fyne.CanvasObject,
	screenHandler *TemplateScreenHandler,
) *ListItemTemplate {
	return &ListItemTemplate{
		CanvasObject:          obj,
		TemplateScreenHandler: screenHandler,
	}
}
